View Issue Details

This bug affects 1 person(s).
 2
IDProjectCategoryView StatusLast Update
11910Feature requestsAccessibilitypublic2018-04-06 11:48
ReporterDenisChenu Assigned ToDenisChenu  
PrioritynoneSeverityfeature 
Status closedResolutionfixed 
Summary11910: Remove uneeded label and put the lable on the question text
Description

When using screen reader + form system : when come to a 'single question' : we have 'Your answers' but not the question text.

This can be done with aria-labelledby but question next need a unique ID

Additional Information

unique ID : easily added in getQuestionReplacement. Adding aria-labelledby in views and sometimes aria-describedby.

There still the issue with em-tip : we are unsure em-tip is here and other question help for complete accessibility.

TagsNo tags attached.
Bug heat2

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

DenisChenu

DenisChenu

2016-11-18 15:25

developer   ~42066

Fix committed to develop branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=21473

Related Changesets

LimeSurvey: develop 77052534

2016-11-18 15:19:03

DenisChenu

Details Diff
New feature 11910: use aria-labelledby and describedby for question-text
Dev: must do for array question type too
Dev: must control different template about inline or not on .ls-label-question
Dev: for complete accessibilty of answer part : lack of help , but add aria to empty div is a bug
Affected Issues
11910
mod - application/helpers/SurveyRuntimeHelper.php Diff File
mod - application/helpers/qanda_helper.php Diff File
mod - application/views/survey/questions/5pointchoice/answer.php Diff File
mod - application/views/survey/questions/date/dropdown/answer.php Diff File
mod - application/views/survey/questions/date/selector/answer.php Diff File
mod - application/views/survey/questions/gender/buttons/answer.php Diff File
mod - application/views/survey/questions/gender/radio/answer.php Diff File
mod - application/views/survey/questions/language/answer.php Diff File
mod - application/views/survey/questions/list_dropdown/answer.php Diff File
mod - application/views/survey/questions/list_with_comment/list/answer.php Diff File
mod - application/views/survey/questions/listradio/answer.php Diff File
mod - application/views/survey/questions/longfreetext/answer.php Diff File
mod - application/views/survey/questions/multiplechoice/answer.php Diff File
mod - application/views/survey/questions/multiplechoice_with_comments/answer.php Diff File
mod - application/views/survey/questions/multiplenumeric/answer.php Diff File
mod - application/views/survey/questions/multiplenumeric/answer_input.php Diff File
mod - application/views/survey/questions/multipleshorttext/answer.php Diff File
mod - application/views/survey/questions/numerical/answer.php Diff File
mod - application/views/survey/questions/shortfreetext/location_mapservice/item.php Diff File
mod - application/views/survey/questions/shortfreetext/location_mapservice/item_100.php Diff File
mod - application/views/survey/questions/shortfreetext/text/item.php Diff File
mod - application/views/survey/questions/shortfreetext/textarea/item.php Diff File
mod - application/views/survey/questions/yesno/buttons/item.php Diff File
mod - application/views/survey/questions/yesno/radio/item.php Diff File

Issue History

Date Modified Username Field Change
2016-11-15 15:42 DenisChenu New Issue
2016-11-15 15:42 DenisChenu Status new => assigned
2016-11-15 15:42 DenisChenu Assigned To => DenisChenu
2016-11-15 23:53 DenisChenu Product Version => 3.0
2016-11-18 15:25 DenisChenu Changeset attached => LimeSurvey develop 77052534
2016-11-18 15:25 DenisChenu Note Added: 42066
2016-11-18 15:25 DenisChenu Resolution open => fixed
2016-11-18 15:28 DenisChenu Status assigned => resolved
2016-11-18 15:28 DenisChenu Fixed in Version => 3.0
2018-04-06 11:48 markusfluer Status resolved => closed